const router = require('express').Router();
const { authMiddleware } = require('../middleware/auth');
const c = require('../controllers/petController');

router.get('/',          authMiddleware, c.getPet);
router.patch('/name',    authMiddleware, c.renamePet);
router.post('/pet',      authMiddleware, c.petAction);
router.patch('/color',   authMiddleware, c.updateColor);
router.post('/star',     authMiddleware, c.starCatch);
router.get('/shop',      authMiddleware, c.getShop);
router.post('/shop/buy', authMiddleware, c.buyBg);
router.patch('/bg',      authMiddleware, c.setBg);
router.post('/feed',     authMiddleware, c.feedPet);

module.exports = router;
